{
//=========Macro generated from canvas: c/
//=========  (Fri Mar 31 09:53:03 2006) by ROOT version3.10/02
   TCanvas *c = new TCanvas("c", "",0,0,596,572);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   c->SetHighLightColor(2);
   c->Range(166.6,156.25,182.6,193.75);
   c->SetFillColor(0);
   c->SetBorderMode(0);
   c->SetBorderSize(2);
   c->SetFrameBorderMode(0);
   c->SetFrameBorderMode(0);
   c->SetLeftMargin(0.18);
   c->SetBottomMargin(0.13);
   
   TGraphErrors *gre = new TGraphErrors(3);
   gre->SetName("Graph");
   gre->SetTitle("");
   gre->SetLineWidth(2);
   gre->SetPoint(0,170,169.39);
   gre->SetPointError(0,0,0.926117);
   gre->SetPoint(1,175,174.157);
   gre->SetPointError(1,0,0.594387);
   gre->SetPoint(2,180,176.929);
   gre->SetPointError(2,0,2.01869);
   
   TH1 *Graph1 = new TH1F("Graph1","",100,165,185);
   Graph1->SetMinimum(165);
   Graph1->SetMaximum(185);
   Graph1->SetDirectory(0);
   Graph1->SetStats(0);
   Graph1->GetXaxis()->SetTitle("generated Top Mass (GeV/c^{2})");
   Graph1->GetYaxis()->SetTitle("reconstructed Top Mass (GeV/c^{2})");
   Graph1->GetYaxis()->SetTitleOffset(1.7);
   Graph1->GetXaxis()->SetTitleSize(0.05);
   Graph1->GetYaxis()->SetTitleSize(0.05);
   gre->SetHistogram(Graph1);
   
   
   TF1 *f = new TF1("f","pol1",165,185);
   f->SetFillColor(19);
   f->SetFillStyle(0);
   f->SetLineWidth(3);
   f->SetChisquare(0.626968);
   f->SetParameter(0,24.3098);
   f->SetParError(0,31.5952);
   f->SetParLimits(0,0,0);
   f->SetParameter(1,0.855001);
   f->SetParError(1,0.181649);
   f->SetParLimits(1,0,0);
   gre->GetListOfFunctions()->Add(f);
   
   TPaveStats *ptstats = new TPaveStats(0.62,0.835,0.98,0.995,"brNDC");
   ptstats->SetName("stats");
   ptstats->SetBorderSize(1);
   ptstats->SetFillStyle(1);
   ptstats->SetFillColor(0);
   ptstats->SetTextAlign(12);
   TText *text = ptstats->AddText("#chi^{2} / ndf = 0.627 / 1");
   text = ptstats->AddText("p0       = 24.31 #pm  31.6 ");
   text = ptstats->AddText("p1       = 0.855 #pm 0.1816 ");
   ptstats->Draw();
   gre->GetListOfFunctions()->Add(stats);
   ptstats->SetParent(gre->GetListOfFunctions());
   gre->Draw("ap");
   
   TF1 *f = new TF1("f","pol1",165,185);
   f->SetFillColor(19);
   f->SetFillStyle(0);
   f->SetLineWidth(3);
   f->SetChisquare(0.626968);
   f->SetParameter(0,24.3098);
   f->SetParError(0,31.5952);
   f->SetParLimits(0,0,0);
   f->SetParameter(1,0.855001);
   f->SetParError(1,0.181649);
   f->SetParLimits(1,0,0);
   f->Draw("same");
   c->Modified();
   c->cd();
}
