{
//=========Macro generated from canvas: c/
//=========  (Wed Mar 15 17:34:29 2006) by ROOT version3.10/02
   TCanvas *c = new TCanvas("c", "",0,0,596,572);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   c->SetHighLightColor(2);
   c->Range(-0.928571,-1.75,6.21429,5.75);
   c->SetFillColor(0);
   c->SetBorderMode(0);
   c->SetBorderSize(2);
   c->SetLeftMargin(0.13);
   c->SetFrameBorderMode(0);
   c->SetFrameBorderMode(0);
   c->SetLeftMargin(0.16);
   c->SetBottomMargin(0.15);
   
   TGraphErrors *gre = new TGraphErrors(7);
   gre->SetName("Graph");
   gre->SetTitle("");
   gre->SetLineWidth(2);
   gre->SetPoint(0,0,0);
   gre->SetPointError(0,0,0);
   gre->SetPoint(1,0.5,-0.0825653);
   gre->SetPointError(1,0,0.418953);
   gre->SetPoint(2,0.75,0.189087);
   gre->SetPointError(2,0,0.393634);
   gre->SetPoint(3,1,0.42334);
   gre->SetPointError(3,0,0.480844);
   gre->SetPoint(4,2,0.456268);
   gre->SetPointError(4,0,0.460061);
   gre->SetPoint(5,3,0.412766);
   gre->SetPointError(5,0,0.48126);
   gre->SetPoint(6,5,0.294037);
   gre->SetPointError(6,0,0.499396);
   
   TH1 *Graph3 = new TH1F("Graph3","",100,0,5.5);
   Graph3->SetMinimum(-1);
   Graph3->SetMaximum(5);
   Graph3->SetDirectory(0);
   Graph3->SetStats(0);
   Graph3->GetXaxis()->SetTitle("#alpha_{l-jets} (%)");
   Graph3->GetYaxis()->SetTitle("systematic shift (GeV/c^{2})");
   Graph3->GetYaxis()->SetTitleOffset(1.25);
   Graph3->GetXaxis()->SetTitleSize(0.06);
   Graph3->GetYaxis()->SetTitleSize(0.06);
   gre->SetHistogram(Graph3);
   
   
   TF1 *Lfit = new TF1("Lfit","[0]*x",0,5);
   Lfit->SetFillColor(19);
   Lfit->SetFillStyle(0);
   Lfit->SetLineWidth(3);
   Lfit->SetChisquare(1.16108);
   Lfit->SetParameter(0,0.107922);
   Lfit->SetParError(0,0.0772948);
   Lfit->SetParLimits(0,0,0);
   gre->GetListOfFunctions()->Add(Lfit);
   
   TPaveStats *ptstats = new TPaveStats(0.62,0.875,0.98,0.995,"brNDC");
   ptstats->SetName("stats");
   ptstats->SetBorderSize(1);
   ptstats->SetFillStyle(1);
   ptstats->SetFillColor(0);
   ptstats->SetTextAlign(12);
   TText *text = ptstats->AddText("#chi^{2} / ndf = 1.161 / 6");
   text = ptstats->AddText("p0       = 0.1079 #pm 0.07729 ");
   ptstats->Draw();
   gre->GetListOfFunctions()->Add(stats);
   ptstats->SetParent(gre->GetListOfFunctions());
   gre->Draw("ap");
   c->Modified();
   c->cd();
}
