{
//=========Macro generated from canvas: c/
//=========  (Fri Mar 17 16:07:13 2006) by ROOT version3.10/02
   TCanvas *c = new TCanvas("c", "",0,0,596,572);
   gStyle->SetOptFit(0);
   gStyle->SetOptStat(0);
   c->SetHighLightColor(2);
   c->Range(91,-1423.74,251,12813.7);
   c->SetFillColor(0);
   c->SetBorderMode(0);
   c->SetBorderSize(2);
   c->SetLeftMargin(0.15);
   c->SetFrameBorderMode(0);
   c->SetFrameBorderMode(0);
   
   TGraph *graph = new TGraph(21);
   graph->SetName("Graph");
   graph->SetTitle("");
   graph->SetFillColor(1);
   graph->SetMarkerStyle(8);
   graph->SetMarkerSize(0.3);
   graph->SetPoint(0,125,10259.4);
   graph->SetPoint(1,130,9222.13);
   graph->SetPoint(2,135,8085.83);
   graph->SetPoint(3,140,6825.83);
   graph->SetPoint(4,145,5431.23);
   graph->SetPoint(5,150,3950.45);
   graph->SetPoint(6,155,2501.82);
   graph->SetPoint(7,160,1262.94);
   graph->SetPoint(8,165,395.862);
   graph->SetPoint(9,170,0);
   graph->SetPoint(10,175,110.541);
   graph->SetPoint(11,180,699.74);
   graph->SetPoint(12,185,1679.9);
   graph->SetPoint(13,190,2922.66);
   graph->SetPoint(14,195,4290.81);
   graph->SetPoint(15,200,5660.36);
   graph->SetPoint(16,205,6933.01);
   graph->SetPoint(17,210,8042.69);
   graph->SetPoint(18,215,8965.99);
   graph->SetPoint(19,220,9720.94);
   graph->SetPoint(20,225,10354.5);
   
   TH1 *Graph1 = new TH1F("Graph1","",100,115,235);
   Graph1->SetMinimum(0);
   Graph1->SetMaximum(11390);
   Graph1->SetDirectory(0);
   Graph1->SetStats(0);
   Graph1->GetXaxis()->SetTitle("reconstructed Top Mass (GeV/c^{2})");
   Graph1->GetYaxis()->SetTitle("#Delta #chi^{2}");
   Graph1->GetYaxis()->SetTitleOffset(1.8);
   Graph1->SetLineStyle(2);
   graph->SetHistogram(Graph1);
   
   graph->Draw("ap");
   
   graph = new TGraph(9);
   graph->SetName("Graph");
   graph->SetTitle("Graph");
   graph->SetFillColor(1);
   graph->SetMarkerStyle(3);
   graph->SetPoint(0,155,2501.82);
   graph->SetPoint(1,160,1262.94);
   graph->SetPoint(2,165,395.862);
   graph->SetPoint(3,170,0);
   graph->SetPoint(4,175,110.541);
   graph->SetPoint(5,180,699.74);
   graph->SetPoint(6,185,1679.9);
   graph->SetPoint(7,190,2922.66);
   graph->SetPoint(8,195,4290.81);
   
   TF1 *pol2 = new TF1("pol2","pol2",155,195);
   pol2->SetFillColor(19);
   pol2->SetFillStyle(0);
   pol2->SetLineWidth(3);
   pol2->SetChisquare(119574);
   pol2->SetParameter(0,241470);
   pol2->SetParError(0,7371.1);
   pol2->SetParLimits(0,0,0);
   pol2->SetParameter(1,-2808.97);
   pol2->SetParError(1,84.5146);
   pol2->SetParLimits(1,0,0);
   pol2->SetParameter(2,8.17231);
   pol2->SetParError(2,0.241487);
   pol2->SetParLimits(2,0,0);
   pol2->SetLineStyle(2);
   graph->GetListOfFunctions()->Add(pol2);
   
   /*TPaveStats *ptstats = new TPaveStats(0.62,0.795,0.98,0.995,"brNDC");
   ptstats->SetName("stats");
   ptstats->SetBorderSize(1);
   ptstats->SetTextAlign(12);
   TText *text = ptstats->AddText("#chi^{2} / ndf = 1.196e+05 / 6");
   text = ptstats->AddText("p0       = 2.415e+05 #pm  7371 ");
   text = ptstats->AddText("p1       = -2809 #pm 84.51 ");
   text = ptstats->AddText("p2       = 8.172 #pm 0.2415 ");
   ptstats->Draw();
   graph->GetListOfFunctions()->Add(stats);
   ptstats->SetParent(graph->GetListOfFunctions());*/
   graph->Draw("P");
   
   
   
   
   
   
   
   
   
   
   
   
   
   TGraph *graph2 = new TGraph(21);
   graph2->SetName("Graph");
   graph2->SetTitle("");
   graph2->SetFillColor(1);
   graph2->SetMarkerStyle(8);
   graph2->SetMarkerSize(0.3);
   graph2->SetPoint(0,125,18036.4);
   graph2->SetPoint(1,130,15155);
   graph2->SetPoint(2,135,12282.5);
   graph2->SetPoint(3,140,9455.53);
   graph2->SetPoint(4,145,6799.49);
   graph2->SetPoint(5,150,4453.76);
   graph2->SetPoint(6,155,2538.08);
   graph2->SetPoint(7,160,1133.17);
   graph2->SetPoint(8,165,282.493);
   graph2->SetPoint(9,170,0);
   graph2->SetPoint(10,175,269.469);
   graph2->SetPoint(11,180,1043.24);
   graph2->SetPoint(12,185,2243.28);
   graph2->SetPoint(13,190,3761.03);
   graph2->SetPoint(14,195,5458.19);
   graph2->SetPoint(15,200,7169.72);
   graph2->SetPoint(16,205,8714.98);
   graph2->SetPoint(17,210,9912.74);
   graph2->SetPoint(18,215,10573.6);
   graph2->SetPoint(19,220,10525.5);
   graph2->SetPoint(20,225,9837.11);
   
   TH1 *Graph2 = new TH1F("Graph2","",100,115,235);
   Graph2->SetMinimum(0);
   Graph2->SetMaximum(19840);
   Graph2->SetDirectory(0);
   Graph2->SetStats(0);
   Graph2->GetXaxis()->SetTitle("reconstructed Top Mass (GeV/c^{2})");
   Graph2->GetYaxis()->SetTitle("Total #Chi^{2}");
   Graph2->GetYaxis()->SetTitleOffset(1.8);
   graph2->SetHistogram(Graph2);
   
   graph2->Draw("p");
   
   graph2 = new TGraph(9);
   graph2->SetName("Graph");
   graph2->SetTitle("Graph");
   graph2->SetFillColor(1);
   graph2->SetMarkerStyle(3);
   graph2->SetPoint(0,155,2538.08);
   graph2->SetPoint(1,160,1133.17);
   graph2->SetPoint(2,165,282.493);
   graph2->SetPoint(3,170,0);
   graph2->SetPoint(4,175,269.469);
   graph2->SetPoint(5,180,1043.24);
   graph2->SetPoint(6,185,2243.28);
   graph2->SetPoint(7,190,3761.03);
   graph2->SetPoint(8,195,5458.19);
   
   TF1 *pol2 = new TF1("pol2","pol2",155,195);
   pol2->SetFillColor(19);
   pol2->SetFillStyle(0);
   pol2->SetLineWidth(3);
   pol2->SetChisquare(164688);
   pol2->SetParameter(0,270805);
   pol2->SetParError(0,12625.8);
   pol2->SetParLimits(0,0,0);
   pol2->SetParameter(1,-3173.15);
   pol2->SetParError(1,144.852);
   pol2->SetParLimits(1,0,0);
   pol2->SetParameter(2,9.29975);
   pol2->SetParError(2,0.413648);
   pol2->SetParLimits(2,0,0);
   graph2->GetListOfFunctions()->Add(pol2);
   
   /*TPaveStats *ptstats = new TPaveStats(0.1.,0.795,0.5,0.995,"brNDC");
   ptstats->SetName("stats");
   ptstats->SetBorderSize(1);
   ptstats->SetTextAlign(12);
   TText *text = ptstats->AddText("#chi^{2} / ndf = 1.647e+05 / 6");
   text = ptstats->AddText("p0       = 2.708e+05 #pm 1.263e+04 ");
   text = ptstats->AddText("p1       = -3173 #pm 144.9 ");
   text = ptstats->AddText("p2       =   9.3 #pm 0.4136 ");
   ptstats->Draw();
   graph2->GetListOfFunctions()->Add(stats);
   ptstats->SetParent(graph2->GetListOfFunctions());*/
   graph2->Draw("P");
   
   
   TLegend * legend = new TLegend(0.55, 0.70, 0.87, .87);
  legend->SetBorderSize(1);
  legend->SetFillStyle(1001);
  legend->SetFillColor(10);
  legend->AddEntry(Graph1, "gaussian ideogram", "L");
  legend->AddEntry(graph2, "scanned ideogram", "L");
  legend->Draw();
 
   
   
   
   
   
   
   
   
   c->Modified();
   c->cd();
}
