{
//=========Macro generated from canvas: c/
//=========  (Wed Mar 15 19:05:54 2006) by ROOT version3.10/02
   TCanvas *c = new TCanvas("c", "",0,0,596,572);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   c->SetHighLightColor(2);
   c->Range(-0.928571,-1.75,6.21429,5.75);
   c->SetFillColor(0);
   c->SetBorderMode(0);
   c->SetBorderSize(2);
   c->SetFrameBorderMode(0);
   c->SetFrameBorderMode(0);
   c->SetLeftMargin(0.16);
   c->SetBottomMargin(0.15);
   
   TGraphErrors *gre = new TGraphErrors(7);
   gre->SetName("Graph");
   gre->SetTitle("");
   gre->SetLineWidth(2);
   gre->SetPoint(0,0,0);
   gre->SetPointError(0,0,0);
   gre->SetPoint(1,0.5,1.25227);
   gre->SetPointError(1,0,0.792551);
   gre->SetPoint(2,0.75,-0.168269);
   gre->SetPointError(2,0,0.79754);
   gre->SetPoint(3,1,4.05317);
   gre->SetPointError(3,0,1.18051);
   gre->SetPoint(4,2,4.05577);
   gre->SetPointError(4,0,1.0988);
   gre->SetPoint(5,3,3.47106);
   gre->SetPointError(5,0,0.961722);
   gre->SetPoint(6,5,6.14052);
   gre->SetPointError(6,0,0.85872);
   
   TH1 *Graph1 = new TH1F("Graph1","",100,0,5.5);
   Graph1->SetMinimum(-1);
   Graph1->SetMaximum(8);
   Graph1->SetDirectory(0);
   Graph1->SetStats(0);
   Graph1->GetXaxis()->SetTitle("#alpha_{l-jets} (%)");
   Graph1->GetYaxis()->SetTitle("systematic shift (GeV/c^{2})");
   Graph1->GetYaxis()->SetTitleOffset(1.25);
   Graph1->GetXaxis()->SetTitleSize(0.06);
   Graph1->GetYaxis()->SetTitleSize(0.06);
   gre->SetHistogram(Graph1);
   
   
   TF1 *Lfit = new TF1("Lfit","[0]*x",0,5);
   Lfit->SetFillColor(19);
   Lfit->SetFillStyle(0);
   Lfit->SetLineWidth(3);
   Lfit->SetChisquare(10.1989);
   Lfit->SetParameter(0,1.29366);
   Lfit->SetParError(0,0.142935);
   Lfit->SetParLimits(0,0,0);
   gre->GetListOfFunctions()->Add(Lfit);
   
   TPaveStats *ptstats = new TPaveStats(0.62,0.875,0.98,0.995,"brNDC");
   ptstats->SetName("stats");
   ptstats->SetBorderSize(1);
   ptstats->SetFillStyle(1);
   ptstats->SetFillColor(0);
   ptstats->SetTextAlign(12);
   TText *text = ptstats->AddText("#chi^{2} / ndf =  10.2 / 6");
   text = ptstats->AddText("p0       = 1.294 #pm 0.1429 ");
   ptstats->Draw();
   gre->GetListOfFunctions()->Add(stats);
   ptstats->SetParent(gre->GetListOfFunctions());
   gre->Draw("ap");
   c->Modified();
   c->cd();
}
