{
//=========Macro generated from canvas: c/
//=========  (Wed Mar 15 17:34:29 2006) by ROOT version3.10/02
   TCanvas *c = new TCanvas("c", "",0,0,596,572);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   c->SetHighLightColor(2);
   c->Range(-0.871951,-1.75,5.83537,5.75);
   c->SetFillColor(0);
   c->SetBorderMode(0);
   c->SetBorderSize(2);
   c->SetLeftMargin(0.13);
   c->SetRightMargin(0.05);
   c->SetFrameBorderMode(0);
   c->SetFrameBorderMode(0);
   c->SetLeftMargin(0.16);
   c->SetBottomMargin(0.15);
   
   TGraphErrors *gre = new TGraphErrors(7);
   gre->SetName("Graph");
   gre->SetTitle("");
   gre->SetLineWidth(2);
   gre->SetPoint(0,0,0);
   gre->SetPointError(0,0,0);
   gre->SetPoint(1,0.5,0.0667114);
   gre->SetPointError(1,0,0.37641);
   gre->SetPoint(2,0.75,0.725555);
   gre->SetPointError(2,0,0.444516);
   gre->SetPoint(3,1,0.805801);
   gre->SetPointError(3,0,0.427113);
   gre->SetPoint(4,2,1.15494);
   gre->SetPointError(4,0,0.493739);
   gre->SetPoint(5,3,2.50348);
   gre->SetPointError(5,0,0.471135);
   gre->SetPoint(6,5,2.99541);
   gre->SetPointError(6,0,0.474293);
   
   TH1 *Graph4 = new TH1F("Graph4","",100,0,5.5);
   Graph4->SetMinimum(-1);
   Graph4->SetMaximum(5);
   Graph4->SetDirectory(0);
   Graph4->SetStats(0);
   Graph4->GetXaxis()->SetTitle("#alpha_{b-jets} (%)");
   Graph4->GetYaxis()->SetTitle("systematic shift (GeV/c^{2})");
   Graph4->GetYaxis()->SetTitleOffset(1.25);
   Graph4->GetXaxis()->SetTitleSize(0.06);
   Graph4->GetYaxis()->SetTitleSize(0.06);
   gre->SetHistogram(Graph4);
   
   
   TF1 *Bfit = new TF1("Bfit","[0]*x",0,5);
   Bfit->SetFillColor(19);
   Bfit->SetFillStyle(0);
   Bfit->SetLineWidth(3);
   Bfit->SetChisquare(2.63303);
   Bfit->SetParameter(0,0.658294);
   Bfit->SetParError(0,0.0749149);
   Bfit->SetParLimits(0,0,0);
   gre->GetListOfFunctions()->Add(Bfit);
   
   TPaveStats *ptstats = new TPaveStats(0.62,0.875,0.98,0.995,"brNDC");
   ptstats->SetName("stats");
   ptstats->SetBorderSize(1);
   ptstats->SetTextAlign(12);
   ptstats->SetFillStyle(1);
   ptstats->SetFillColor(0);
   TText *text = ptstats->AddText("#chi^{2} / ndf = 2.633 / 6");
   text = ptstats->AddText("p0       = 0.6583 #pm 0.07491 ");
   ptstats->Draw();
   gre->GetListOfFunctions()->Add(stats);
   ptstats->SetParent(gre->GetListOfFunctions());
   gre->Draw("ap");
   c->Modified();
   c->cd();
}
