{
//=========Macro generated from canvas: c/
//=========  (Fri Mar 17 16:18:01 2006) by ROOT version3.10/02
  gStyle->SetCanvasBorderMode(0);
  gStyle->SetCanvasColor(kWhite);
  gStyle->SetCanvasDefH(600); //Height of canvas
  gStyle->SetCanvasDefW(600); //Width of canvas
  gStyle->SetCanvasDefX(0);   //POsition on screen
  gStyle->SetCanvasDefY(0);
  gStyle->SetOptStat(0);
  gStyle->SetOptFit(0);
  
   TCanvas *c = new TCanvas("c", "",1);
   c->SetLeftMargin(0.15);

//no scan
   TGraph *graph = new TGraph(21);
   graph->SetName("Graph");
   graph->SetTitle("");
   graph->SetFillColor(1);
   graph->SetMarkerStyle(8);
   graph->SetMarkerSize(0.3);
   graph->SetPoint(0,125,5244.54);
   graph->SetPoint(1,130,4566.37);
   graph->SetPoint(2,135,3835.1);
   graph->SetPoint(3,140,3060.22);
   graph->SetPoint(4,145,2279.98);
   graph->SetPoint(5,150,1546.84);
   graph->SetPoint(6,155,914.383);
   graph->SetPoint(7,160,426.807);
   graph->SetPoint(8,165,115.849);
   graph->SetPoint(9,170,0);
   graph->SetPoint(10,175,83.724);
   graph->SetPoint(11,180,357.485);
   graph->SetPoint(12,185,798.478);
   graph->SetPoint(13,190,1372.71);
   graph->SetPoint(14,195,2038.77);
   graph->SetPoint(15,200,2752.2);
   graph->SetPoint(16,205,3469.32);
   graph->SetPoint(17,210,4150.96);
   graph->SetPoint(18,215,4767.23);
   graph->SetPoint(19,220,5302.85);
   graph->SetPoint(20,225,5765.97);
   
   TH1 *Graph11 = new TH1F("Graph11","",100,115,235);
   Graph11->SetMinimum(-219.844);
   Graph11->SetMaximum(7945.78);
   Graph11->SetDirectory(0);
   Graph11->SetStats(0);
   Graph11->SetLineStyle(2);
   Graph11->GetXaxis()->SetTitle("M_{top} (GeV/c^{2})");
   Graph11->GetYaxis()->SetTitle("#Delta #chi^{2}");
   Graph11->GetYaxis()->SetTitleOffset(1.7);
   graph->SetHistogram(Graph11);
   
   graph->Draw("ap");
   
   graph = new TGraph(9);
   graph->SetName("Graph");
   graph->SetTitle("Graph");
   graph->SetFillColor(1);
   graph->SetMarkerStyle(23);
   graph->SetMarkerSize(1.2);
   graph->SetPoint(0,155,914.383);
   graph->SetPoint(1,160,426.807);
   graph->SetPoint(2,165,115.849);
   graph->SetPoint(3,170,0);
   graph->SetPoint(4,175,83.724);
   graph->SetPoint(5,180,357.485);
   graph->SetPoint(6,185,798.478);
   graph->SetPoint(7,190,1372.71);
   graph->SetPoint(8,195,2038.77);
   
   TF1 *pol2 = new TF1("pol2","pol2",155,195);
   pol2->SetFillColor(19);
   pol2->SetFillStyle(0);
   pol2->SetLineWidth(3);
   pol2->SetLineStyle(2);
   graph->Fit("pol2","RQ");
   graph->GetListOfFunctions()->Add(pol2);
   graph->Draw("p");
   
   
   
   
   
//with scan   
   graph = new TGraph(21);
   graph->SetName("Graph");
   graph->SetTitle("");
   graph->SetFillColor(1);
   graph->SetMarkerStyle(8);
   graph->SetMarkerSize(0.3);
   graph->SetPoint(0,125,11908.6);
   graph->SetPoint(1,130,10880.5);
   graph->SetPoint(2,135,9742.97);
   graph->SetPoint(3,140,8420.06);
   graph->SetPoint(4,145,6873.79);
   graph->SetPoint(5,150,5142.83);
   graph->SetPoint(6,155,3363.15);
   graph->SetPoint(7,160,1766.08);
   graph->SetPoint(8,165,588.849);
   graph->SetPoint(9,170,0);
   graph->SetPoint(10,175,70.5953);
   graph->SetPoint(11,180,770.557);
   graph->SetPoint(12,185,1982.18);
   graph->SetPoint(13,190,3527.23);
   graph->SetPoint(14,195,5207.41);
   graph->SetPoint(15,200,6851.28);
   graph->SetPoint(16,205,8338.55);
   graph->SetPoint(17,210,9599.07);
   graph->SetPoint(18,215,10622.3);
   graph->SetPoint(19,220,11443);
   graph->SetPoint(20,225,12116.9);
   
   TH1 *Graph22 = new TH1F("Graph22","",100,115,235);
   Graph22->SetMinimum(0);
   Graph22->SetMaximum(19840);
   Graph22->SetDirectory(0);
   Graph22->SetStats(0);
   Graph22->GetXaxis()->SetTitle("reconstructed Top Mass (GeV/c^{2})");
   Graph22->GetYaxis()->SetTitle("Total #Chi^{2}");
   Graph22->GetYaxis()->SetTitleOffset(1.8);
   graph->SetHistogram(Graph22);
   
   graph->Draw("p");
   
   graph = new TGraph(9);
   graph->SetName("Graph");
   graph->SetTitle("Graph");
   graph->SetFillColor(1);
   graph->SetMarkerStyle(22);
   graph->SetMarkerSize(1.2);
   graph->SetPoint(0,155,3363.15);
   graph->SetPoint(1,160,1766.08);
   graph->SetPoint(2,165,588.849);
   graph->SetPoint(3,170,0);
   graph->SetPoint(4,175,70.5953);
   graph->SetPoint(5,180,770.557);
   graph->SetPoint(6,185,1982.18);
   graph->SetPoint(7,190,3527.23);
   graph->SetPoint(8,195,5207.41);
   
   TF1 *pol2 = new TF1("pol2","pol2",155,195);
   pol2->SetFillColor(19);
   pol2->SetFillStyle(0);
   pol2->SetLineWidth(3);
   pol2->SetLineStyle(3);
   graph->Fit("pol2","RQ");
   graph->GetListOfFunctions()->Add(pol2);
   graph->Draw("p");



   
   TLegend *leg = new TLegend(0.55,0.7,0.87,0.87,NULL,"brNDC");
   leg->SetBorderSize(1);
   leg->SetFillStyle(1001);
   leg->SetFillColor(10);
   
   entry = leg->AddEntry("Graph11","gaussian ideogram","LP");
   entry->SetFillColor(19);
   entry->SetFillStyle(0);
   entry->SetLineWidth(3);
   entry->SetLineStyle(2);
   entry->SetMarkerStyle(23);
   entry->SetMarkerSize(1.2);
   
   entry2=leg->AddEntry("Graph22","scanned ideogram","LP");
   entry2->SetFillColor(19);
   entry2->SetFillStyle(0);
   entry2->SetLineWidth(3);
   entry2->SetLineStyle(3);
   entry2->SetMarkerStyle(22);
   entry2->SetMarkerSize(1.2);
   leg->Draw();
   c->Modified();
   c->cd();
}
