{
//=========Macro generated from canvas: c/
//=========  (Fri Mar 17 12:08:04 2006) by ROOT version3.10/02
   TCanvas *c = new TCanvas("c", "",0,0,596,572);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   c->SetHighLightColor(2);
   c->Range(-0.871951,-1.75,5.83537,5.75);
   c->SetFillColor(0);
   c->SetBorderMode(0);
   c->SetBorderSize(2);
   c->SetLeftMargin(0.13);
   c->SetRightMargin(0.05);
   c->SetFrameBorderMode(0);
   c->SetFrameBorderMode(0);
   c->SetLeftMargin(0.16);
   c->SetBottomMargin(0.15);
   
   TGraphErrors *gre = new TGraphErrors(7);
   gre->SetName("Graph");
   gre->SetTitle("");
   gre->SetLineWidth(2);
   gre->SetPoint(0,0,0);
   gre->SetPointError(0,0,0);
   gre->SetPoint(1,0.5,0.0686493);
   gre->SetPointError(1,0,0.3248);
   gre->SetPoint(2,0.75,0.59082);
   gre->SetPointError(2,0,0.423861);
   gre->SetPoint(3,1,0.631912);
   gre->SetPointError(3,0,0.365382);
   gre->SetPoint(4,2,1.10434);
   gre->SetPointError(4,0,0.432262);
   gre->SetPoint(5,3,2.10641);
   gre->SetPointError(5,0,0.400105);
   gre->SetPoint(6,5,2.81091);
   gre->SetPointError(6,0,0.417325);
   
   TH1 *Graph2 = new TH1F("Graph2","",100,0,5.5);
   Graph2->SetMinimum(-1);
   Graph2->SetMaximum(5);
   Graph2->SetDirectory(0);
   Graph2->SetStats(0);
   Graph2->GetXaxis()->SetTitle("#alpha_{b-jets} (%)");
   Graph2->GetYaxis()->SetTitle("systematic shift (GeV/c^{2})");
   Graph2->GetYaxis()->SetTitleOffset(1.25);
   Graph2->GetXaxis()->SetTitleSize(0.06);
   Graph2->GetYaxis()->SetTitleSize(0.06);
   gre->SetHistogram(Graph2);
   
   
   TF1 *Bfit = new TF1("Bfit","[0]*x",0,5);
   Bfit->SetFillColor(19);
   Bfit->SetFillStyle(0);
   Bfit->SetLineWidth(3);
   Bfit->SetChisquare(1.46203);
   Bfit->SetParameter(0,0.595816);
   Bfit->SetParError(0,0.065349);
   Bfit->SetParLimits(0,0,0);
   gre->GetListOfFunctions()->Add(Bfit);
   
   TPaveStats *ptstats = new TPaveStats(0.62,0.875,0.98,0.995,"brNDC");
   ptstats->SetName("stats");
   ptstats->SetBorderSize(1);
   ptstats->SetFillStyle(1);
   ptstats->SetFillColor(0);
   ptstats->SetTextAlign(12);
   TText *text = ptstats->AddText("#chi^{2} / ndf = 1.462 / 6");
   text = ptstats->AddText("p0       = 0.5958 #pm 0.06535 ");
   ptstats->Draw();
   gre->GetListOfFunctions()->Add(stats);
   ptstats->SetParent(gre->GetListOfFunctions());
   gre->Draw("ap");
   c->Modified();
   c->cd();
}
