{
//=========Macro generated from canvas: c/
//=========  (Wed Mar 15 12:23:24 2006) by ROOT version3.10/02
   TCanvas *c = new TCanvas("c", "",0,0,596,572);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   c->SetHighLightColor(2);
   c->Range(-0.647059,-1.75,5.82353,5.75);
   c->SetFillColor(0);
   c->SetBorderMode(0);
   c->SetBorderSize(2);
   c->SetRightMargin(0.05);
   c->SetFrameBorderMode(0);
   c->SetFrameBorderMode(0);
   
   TGraphErrors *gre = new TGraphErrors(7);
   gre->SetName("Graph");
   gre->SetTitle("");
   gre->SetLineWidth(2);
   gre->SetPoint(0,0,0);
   gre->SetPointError(0,0,0);
   gre->SetPoint(1,0.5,-0.160995);
   gre->SetPointError(1,0,0.347701);
   gre->SetPoint(2,0.75,0.605225);
   gre->SetPointError(2,0,0.424678);
   gre->SetPoint(3,1,0.462677);
   gre->SetPointError(3,0,0.384557);
   gre->SetPoint(4,2,1.07906);
   gre->SetPointError(4,0,0.456868);
   gre->SetPoint(5,3,2.13962);
   gre->SetPointError(5,0,0.418514);
   gre->SetPoint(6,5,2.50073);
   gre->SetPointError(6,0,0.427632);
   
   TH1 *Graph2 = new TH1F("Graph2","",100,0,5.5);
   Graph2->SetMinimum(-1);
   Graph2->SetMaximum(5);
   Graph2->SetDirectory(0);
   Graph2->SetStats(0);
   Graph2->GetXaxis()->SetTitle("#alpha_{b-jets} (%)");
   Graph2->GetYaxis()->SetTitle("systematic shift (GeV/c^{2})");
   Graph2->GetYaxis()->SetTitleOffset(1.25);
   gre->SetHistogram(Graph2);
   
   
   TF1 *Bfit = new TF1("Bfit","[0]*x",0,5);
   Bfit->SetFillColor(19);
   Bfit->SetFillStyle(0);
   Bfit->SetLineWidth(3);
   Bfit->SetChisquare(3.54018);
   Bfit->SetParameter(0,0.548986);
   Bfit->SetParError(0,0.067542);
   Bfit->SetParLimits(0,0,0);
   gre->GetListOfFunctions()->Add(Bfit);
   
   TPaveStats *ptstats = new TPaveStats(0.62,0.875,0.98,0.995,"brNDC");
   ptstats->SetName("stats");
   ptstats->SetBorderSize(1);
   ptstats->SetTextAlign(12);
   TText *text = ptstats->AddText("#chi^{2} / ndf =  3.54 / 6");
   text = ptstats->AddText("p0       = 0.549 #pm 0.06754 ");
   ptstats->Draw();
   gre->GetListOfFunctions()->Add(stats);
   ptstats->SetParent(gre->GetListOfFunctions());
   gre->Draw("ap");
   c->Modified();
   c->cd();
}
