{
//=========Macro generated from canvas: c/
//=========  (Fri Mar 31 08:17:07 2006) by ROOT version3.10/02
   TCanvas *c = new TCanvas("c", "",0,0,596,572);
   gStyle->SetOptFit(1);
   gStyle->SetOptStat(0);
   c->SetHighLightColor(2);
   c->Range(166.6,156.25,182.6,193.75);
   c->SetFillColor(0);
   c->SetBorderMode(0);
   c->SetBorderSize(2);
   c->SetLeftMargin(0.15);
   c->SetFrameBorderMode(0);
   c->SetFrameBorderMode(0);
   c->SetLeftMargin(0.18);
   c->SetBottomMargin(0.13);
   
   TGraphErrors *gre = new TGraphErrors(3);
   gre->SetName("Graph");
   gre->SetTitle("");
   gre->SetLineWidth(2);
   gre->SetPoint(0,170,166.07);
   gre->SetPointError(0,0,0.967239);
   gre->SetPoint(1,175,170.653);
   gre->SetPointError(1,0,0.53643);
   gre->SetPoint(2,180,176.396);
   gre->SetPointError(2,0,1.27334);
   
   TH1 *Graph2 = new TH1F("Graph2","",100,165,185);
   Graph2->SetMinimum(165);
   Graph2->SetMaximum(185);
   Graph2->SetDirectory(0);
   Graph2->SetStats(0);
   Graph2->GetXaxis()->SetTitle("generated Top Mass (GeV/c^{2})");
   Graph2->GetYaxis()->SetTitle("reconstructed Top Mass (GeV/c^{2})");
   Graph2->GetYaxis()->SetTitleOffset(1.7);
   Graph2->GetXaxis()->SetTitleSize(0.05);
   Graph2->GetYaxis()->SetTitleSize(0.05);
   gre->SetHistogram(Graph2);
   
   
   TF1 *f = new TF1("f","pol1",165,185);
   f->SetFillColor(19);
   f->SetFillStyle(0);
   f->SetLineWidth(3);
   f->SetChisquare(0.363794);
   f->SetParameter(0,-6.11349);
   f->SetParError(0,27.2255);
   f->SetParLimits(0,0,0);
   f->SetParameter(1,1.01112);
   f->SetParError(1,0.155944);
   f->SetParLimits(1,0,0);
   gre->GetListOfFunctions()->Add(f);
   
   TPaveStats *ptstats = new TPaveStats(0.62,0.835,0.98,0.995,"brNDC");
   ptstats->SetName("stats");
   ptstats->SetBorderSize(1);
   ptstats->SetFillStyle(1);
   ptstats->SetFillColor(0);
   ptstats->SetTextAlign(12);
   TText *text = ptstats->AddText("#chi^{2} / ndf = 0.3638 / 1");
   text = ptstats->AddText("p0       = -6.113 #pm 27.23 ");
   text = ptstats->AddText("p1       = 1.011 #pm 0.1559 ");
   ptstats->Draw();
   gre->GetListOfFunctions()->Add(stats);
   ptstats->SetParent(gre->GetListOfFunctions());
   gre->Draw("ap");
   
   TF1 *f = new TF1("f","pol1",165,185);
   f->SetFillColor(19);
   f->SetFillStyle(0);
   f->SetLineWidth(3);
   f->SetChisquare(0.363794);
   f->SetParameter(0,-6.11349);
   f->SetParError(0,27.2255);
   f->SetParLimits(0,0,0);
   f->SetParameter(1,1.01112);
   f->SetParError(1,0.155944);
   f->SetParLimits(1,0,0);
   f->Draw("same");
   c->Modified();
   c->cd();
}
