{
//=========Macro generated from canvas: c1/PV constraint influence on the nr. of jets
//=========  (Wed Mar 29 12:54:36 2006) by ROOT version4.04/02
   TCanvas *c1 = new TCanvas("c1", "PV constraint influence on the nr. of jets",0,0,596,572);
   gStyle->SetOptStat(0);
   c1->SetHighLightColor(2);
   c1->Range(-8,-0.024767,45.3333,0.222903);
   c1->SetFillColor(0);
   c1->SetBorderMode(0);
   c1->SetBorderSize(2);
   c1->SetLeftMargin(0.15);
   c1->SetFrameBorderMode(0);
   c1->SetFrameBorderMode(0);
   
   TH1 *nrjPV = new TH1F("nrjPV","",40,0,40);
   nrjPV->SetBinContent(1,0.00861574);
   nrjPV->SetBinContent(2,0.00344531);
   nrjPV->SetBinContent(3,0.0258324);
   nrjPV->SetBinContent(4,0.0757532);
   nrjPV->SetBinContent(5,0.160643);
   nrjPV->SetBinContent(6,0.188701);
   nrjPV->SetBinContent(7,0.162271);
   nrjPV->SetBinContent(8,0.127544);
   nrjPV->SetBinContent(9,0.087106);
   nrjPV->SetBinContent(10,0.0578631);
   nrjPV->SetBinContent(11,0.037228);
   nrjPV->SetBinContent(12,0.0263384);
   nrjPV->SetBinContent(13,0.0157413);
   nrjPV->SetBinContent(14,0.0100143);
   nrjPV->SetBinContent(15,0.0048627);
   nrjPV->SetBinContent(16,0.00257363);
   nrjPV->SetBinContent(17,0.000857633);
   nrjPV->SetBinContent(18,0.00114318);
   nrjPV->SetBinContent(19,0.000285714);
   nrjPV->SetBinContent(20,0.000571265);
   nrjPV->SetBinContent(21,0.000285551);
   nrjPV->SetBinContent(24,0.000285307);
   nrjPV->SetEntries(3522);
   nrjPV->SetStats(0);
   nrjPV->SetLineWidth(2);
   nrjPV->GetXaxis()->SetTitle("nr. of recontructed jets");
   nrjPV->GetYaxis()->SetTitle("Normalized nr. of events");
   nrjPV->GetYaxis()->SetTitleOffset(1.7);
   nrjPV->Draw("");
   
   TH1 *nrjNoPV = new TH1F("nrjNoPV","",40,0,40);
   nrjNoPV->SetBinContent(1,0.000296472);
   nrjNoPV->SetBinContent(3,0.00237037);
   nrjNoPV->SetBinContent(4,0.0192536);
   nrjNoPV->SetBinContent(5,0.0621854);
   nrjNoPV->SetBinContent(6,0.0941385);
   nrjNoPV->SetBinContent(7,0.124593);
   nrjNoPV->SetBinContent(8,0.118639);
   nrjNoPV->SetBinContent(9,0.104407);
   nrjNoPV->SetBinContent(10,0.0952099);
   nrjNoPV->SetBinContent(11,0.0851315);
   nrjNoPV->SetBinContent(12,0.0718085);
   nrjNoPV->SetBinContent(13,0.0511078);
   nrjNoPV->SetBinContent(14,0.0401654);
   nrjNoPV->SetBinContent(15,0.0324771);
   nrjNoPV->SetBinContent(16,0.0244982);
   nrjNoPV->SetBinContent(17,0.0191797);
   nrjNoPV->SetBinContent(18,0.0129794);
   nrjNoPV->SetBinContent(19,0.0112061);
   nrjNoPV->SetBinContent(20,0.00619104);
   nrjNoPV->SetBinContent(21,0.00559976);
   nrjNoPV->SetBinContent(22,0.00648203);
   nrjNoPV->SetBinContent(23,0.00294551);
   nrjNoPV->SetBinContent(24,0.00235571);
   nrjNoPV->SetBinContent(25,0.000294377);
   nrjNoPV->SetBinContent(26,0.00147145);
   nrjNoPV->SetBinContent(27,0.000882613);
   nrjNoPV->SetBinContent(28,0.000294118);
   nrjNoPV->SetBinContent(29,0.000588062);
   nrjNoPV->SetBinContent(33,0.000293686);
   nrjNoPV->SetEntries(3413);
   nrjNoPV->SetStats(0);
   nrjNoPV->SetLineColor(13);
   nrjNoPV->SetLineStyle(2);
   nrjNoPV->SetLineWidth(2);
   nrjNoPV->Draw("same");
   
   TLegend *leg = new TLegend(0.55,0.7,0.87,0.87,NULL,"brNDC");
   leg->SetLineColor(1);
   leg->SetLineStyle(1);
   leg->SetLineWidth(1);
   leg->SetFillColor(10);
   leg->SetFillStyle(1001);
   TLegendEntry *entry=leg->AddEntry("nrjPV","with PV constraint","L");
   entry->SetLineColor(1);
   entry->SetLineStyle(1);
   entry->SetLineWidth(2);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(21);
   entry->SetMarkerSize(1);
   entry->SetTextAlign(12);
   entry->SetTextColor(1);
   entry=leg->AddEntry("nrjNoPV","without PV constraint","L");
   entry->SetLineColor(13);
   entry->SetLineStyle(2);
   entry->SetLineWidth(2);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(21);
   entry->SetMarkerSize(1);
   entry->SetTextAlign(12);
   entry->SetTextColor(1);
   leg->Draw();
   c1->Modified();
   c1->cd();
   c1->SetSelected(c1);
}
